Skip to content

resolveSections

WRITE

Fetch the given section ids and return them keyed by id for rendering.

POST /api/v1/settings/resolveSections
curl -X POST '<your-host>/api/v1/settings/resolveSections' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "ids": []
  }'
Response
{
  "…": {
    "id": "string",
    "name": "string",
    "placement": "header",
    "content": {
      "…": "…"
    },
    "config": {
      "showLogo": true,
      "logoVariant": "icon",
      "logoHeight": 0,
      "logoCrop": {
        "x": 0,
        "y": 0,
        "width": 0,
        "height": 0,
        "aspect": 0
      },
      "showCompanyDetails": true,
      "showDocumentTitle": true,
      "showDocumentId": true,
      "showRegistrationLine": true,
      "registrationNumber": "string"
    },
    "builtIn": true
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "ids": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "ids"
  ]
}